<?php

/**
* @author: GavickPro
* @copyright: 2008
**/

class Toolbar{
	
	/*
		Metoda pokazujaca formularz dla zadania "edit_group"
	*/
	
	function edit_group(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Edit group' ));
		JToolBarHelper::back();
		JToolBarHelper::save( 'apply_group' );
		JToolBarHelper::cancel( 'cancel_group', 'Close' );
		
		$this->submenu(true);
	}
	
	/*
		Metoda pokazujaca formularz dla zadania "add_group"
	*/
	
	function add_group(){
		if(!isset($_GET['step'])){
			JToolBarHelper::title( JText::_( 'Photoslide GK1 - Add group - select module' ));
			JToolBarHelper::custom( 'add_group', 'forward.png', 'forward_f2.png', 'Next', false, false );
		}else{
			JToolBarHelper::title( JText::_( 'Photoslide GK1 - Add group' ));
			JToolBarHelper::back();
			JToolBarHelper::save( 'save_group' );
			JToolBarHelper::cancel( 'cancel_group', 'Close' );
		}
		
		$this->submenu(true);
	}
	
	/*
		Metoda pokazujaca formularz dla zadania "edit_slide"
	*/
	
	function edit_slide(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Edit slide' ));
		JToolBarHelper::back();
		JToolBarHelper::save( 'apply_slide' );
		JToolBarHelper::cancel( 'cancel_slide', 'Close' );
		
		$this->submenu(true);
	}
	
	/*
		Metoda pokazujaca formularz dla zadania "add_slide"
	*/
	
	function add_slide(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Add slide' ));
		JToolBarHelper::back();
		JToolBarHelper::save( 'save_slide' );
		JToolBarHelper::cancel( 'cancel_slide', 'Close' );
		
		$this->submenu(true);
	}
	
	/*
		Metoda pokazujaca menu i submenu dla zadania "view_groups"
	*/
	
	function view_groups(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - View groups' ));
		JToolBarHelper::back();
		JToolBarHelper::addNew( 'add_group', 'Add group');
		JToolBarHelper::editListX( 'edit_group', 'Edit group');
		JToolBarHelper::custom( 'view_group', 'preview.png', 'preview_f2.png', 'View group', false, false );
		JToolBarHelper::deleteList( 'Do you really want to remove this group ?', 'delete_group');
		$this->submenu(true);
	}

	/*
		Metoda pokazujaca menu i submenu dla zadania "view_group"
	*/
	
	function view_group(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - View group' ));
		JToolBarHelper::back();
		JToolBarHelper::addNew( 'add_slide', 'Add slide');
		JToolBarHelper::editListX( 'edit_slide', 'Edit slide');
		JToolBarHelper::deleteList( 'Do you really want to remove this slide ?', 'delete_slide');
		$this->submenu(true);
	}
	
	/*
		Metoda pokazujaca menu i submenu dla zadania "add_plugin"
	*/
	
	function add_plugin(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Add plugin' ));
		JToolBarHelper::back();
		JToolBarHelper::save('save_plugin');
		JToolBarHelper::cancel( 'cancel_plugin', 'Close' );
		$this->submenu(false, true);
	}
	
	/*
		Metoda pokazujaca menu i submenu dla zadania "view_plugin"
	*/
	
	function view_plugin(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Plugins' ));
		JToolBarHelper::back();
		JToolBarHelper::addNew( 'add_plugin', 'Install plugin');
		JToolBarHelper::custom( 'enable_plugin', 'publish.png', 'publish_f2.png', 'Enable plugin', true );
		JToolBarHelper::custom( 'disable_plugin', 'unpublish.png', 'unpublish_f2.png', 'Disable plugin', true );
		JToolBarHelper::deleteListX( 'Do you really want to remove this plugin ?', 'delete_plugin');
		$this->submenu(false, true);
	}

	/*
		Metoda pokazujaca menu i submenu dla zadania "check_system"
	*/
	
	function check_system(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Check system' ));
		JToolBarHelper::back();
		$this->submenu(false, false, false, true);
	}
	
	/*
		Metoda pokazujaca menu i submenu dla zadania "help"
	*/
	
	function help(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Help' ));
		JToolBarHelper::back();
		$this->submenu(false, false, false, false, true);
	}

	/*
		Metoda pokazujaca menu i submenu dla zadania "info"
	*/
	
	function info(){
		JToolBarHelper::title( JText::_( 'Photoslide GK1 - Info' ));
		JToolBarHelper::back();
		$this->submenu(false, false, false, false, false, true);
	}
	
	/*
		Metoda do pokazywania submenu
		
		Jako argument pobiera piec wartosci logicznych
		
		Ustawienie jednej z wartosci na tru powoduje, ze dana pozycja
		jest traktowana jako aktualna.
	*/
	
	function submenu($p1 = false, $p2 = false, $p3 = false, $p4 = false, $p5 = false, $p6 = false){
		JSubMenuHelper::addEntry(JText::_('Groups'), 'index.php?option=com_gk_photoslide',$p1);
		JSubMenuHelper::addEntry(JText::_('Plugins'), 'index.php?option=com_gk_photoslide&task=view_plugin',$p2);
		// Opcja dodatkowo dla image editora, który pojawi się w kolejnej wersji :)
		//JSubMenuHelper::addEntry(JText::_('Image Editor'), 'index.php?option=com_templates&task=image_editor',$p3);
		JSubMenuHelper::addEntry(JText::_('Check system'), 'index.php?option=com_gk_photoslide&task=check_system',$p4);
		JSubMenuHelper::addEntry(JText::_('Help'), 'index.php?option=com_gk_photoslide&task=help',$p5);
		JSubMenuHelper::addEntry(JText::_('Info'), 'index.php?option=com_gk_photoslide&task=info',$p6);
	}
}

?>