<?php

/**
* @author: GavickPro
* @copyright: 2008
**/

/**
	Klasa Groups
	
	Klasa ta odpowiada za kontrolę systemu grup slajdów:
	- pokazywanie wszystkich grup
	- pokazywanie grupy
	- zapis kolejności slajdów
	
	Korzysta z szablonow:
	- view.groups.php
	- view.group.php
	
**/

class Groups{
	
	/**
		Metoda do pokazywania wszystkich grup
	**/	
	
	function viewGroups(){
		// inicjalizacja interfejsu bazy danych
		$db =& JFactory::getDBO();
		
		$query = 'SELECT g.id AS id, g.name AS name, g.plugin AS plugin, p.status AS status, COUNT( DISTINCT s.id ) AS amount FROM #__gk_photoslide_groups AS g LEFT JOIN #__gk_photoslide_slides AS s ON s.group_id = g.id LEFT JOIN #__gk_photoslide_plugins AS p ON g.plugin = p.name GROUP BY g.id;';
			
		$db->setQuery($query);
		// zwrócenie rezultatów zapytania
		return $db->loadObjectList();
	}
	
	/**
		Metoda do pokazywania zawartości grupy o danym ID
	**/
	
	function viewGroup(& $plugin, & $gid){
		// podstawowe zmienne
		$db =& JFactory::getDBO();
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$gid = (isset($_GET['cids'])) ? $_GET['cids'] : $cid[0];
		
		// przygotowanie zapytania MySQL - wczytanie nazwy pluginu
		$query = 'SELECT p.phpclassfile AS file FROM #__gk_photoslide_plugins AS p LEFT JOIN #__gk_photoslide_groups AS g ON g.plugin = p.name WHERE g.id = '.$gid.';';
		
		$db->setQuery($query);
		
		if($db->loadObjectList()){
			foreach($db->loadObjectList() as $r) $plugin = $r->file;
		}
		// przygotowanie i wykonanie zapytania
		$query = 'SELECT `id`, `name`, `file`, `order` FROM #__gk_photoslide_slides WHERE group_id = '.$gid.' ORDER by `order`;';
		
		$db->setQuery($query);
		
		// zwrócenie rezultatow zapytania
		return $db->loadObjectList();
	}
	
	/**
		Metoda zapisująca pozycje slajdów
	**/
	
	function order(){
		global $mainframe, $option;
		// inicjalizacja podstawowych zmiennych
		$db	 = & JFactory::getDBO();
		$order = JRequest::getVar( 'order', array (0), 'get', 'array' );
		$gid = JRequest::getString( 'gid', '', 'get' );
		// zamiana $order na integer
		JArrayHelper::toInteger($order, array(0));
		// wykonanie zapytania
		$query = 'SELECT * FROM #__gk_photoslide_slides WHERE group_id = '.$gid.' ORDER BY `id` ASC;';
		$db->setQuery($query);
		// stworzenie tablicy wierszy
		$rows = array();
		// przechowanie wyników zapytania w zmiennej $rows
		foreach($db->loadObjectList() as $row){
			$rows[] = array(
				"rorder" => $row->order, 
				"rid" => $row->id
			);
		}
		// dopóki nie skończyła się tablica
		for($j = 0; $j < count($rows); $j++){
			// gdy aktualna pozycja inna niż pierwotna
			if($order[$j] != $rows[$j]["rorder"]){
				// zaktualizuj ją w bazie danych
				$query = 'UPDATE #__gk_photoslide_slides SET `order` = '.$order[$j].' WHERE id = '.$rows[$j]["rid"].';';
				// wykonanie zapytania
				$db->setQuery($query);
				$db->query();
			}
		}
		// przekeirowanie z wypisaniem informacji
		$mainframe->enqueueMessage( 'Slides order has been saved...' );		
		$mainframe->redirect('index.php?option='.$option.'&client='.$client->id.'&task=view_group&cids='.$gid);
	}
	
}

?>